LuceneBatchInserterIndexProvider (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.unsafe.batchinsert
Class LuceneBatchInserterIndexProvider

    java.lang.Object
      org.neo4j.unsafe.batchinsert.LuceneBatchInserterIndexProvider

All Implemented Interfaces:
  BatchInserterIndexProvider

    public class LuceneBatchInserterIndexProvider

extends Object
implements BatchInserterIndexProvider

The `BatchInserter` version of the Lucene-based indexes. Indexes created and populated using `BatchInserterIndex`s from this provider are compatible with the normal `Index`es.

Constructor Summary
`LuceneBatchInserterIndexProvider(BatchInserter inserter)`

Method Summary
`BatchInserterIndex` | `nodeIndex(String indexName, Map<String,String> config)` Returns a `BatchInserterIndex` for `Node`s for the name `indexName` with the given `config`.
`BatchInserterIndex` | `relationshipIndex(String indexName, Map<String,String> config)` Returns a `BatchInserterIndex` for `Relationship`s for the name `indexName` with the given `config`.
`void` | `shutdown()` Shuts down this index provider and ensures that all indexes are fully written to disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneBatchInserterIndexProvider

    public LuceneBatchInserterIndexProvider(BatchInserter inserter)

Method Detail

### nodeIndex

    public BatchInserterIndex nodeIndex(String indexName,
                                        Map<String,String> config)

  Description copied from interface: `BatchInserterIndexProvider`
  Returns a `BatchInserterIndex` for `Node`s for the name `indexName` with the given `config`. The `config` `Map` can contain any provider-implementation-specific data that can control how an index behaves.

  Specified by:
    `nodeIndex` in interface `BatchInserterIndexProvider`
  Parameters:
    `indexName` - the name of the index. It will be created if it doesn't exist.
    `config` - a `Map` of configuration parameters to use with the index if it doesn't exist. Parameters can be anything and are implementation-specific.
  Returns:
    the `Index` corresponding to the `indexName`.

### relationshipIndex

    public BatchInserterIndex relationshipIndex(String indexName,
                                                Map<String,String> config)

  Description copied from interface: `BatchInserterIndexProvider`
  Returns a `BatchInserterIndex` for `Relationship`s for the name `indexName` with the given `config`. The `config` `Map` can contain any provider-implementation-specific data that can control how an index behaves.

  Specified by:
    `relationshipIndex` in interface `BatchInserterIndexProvider`
  Parameters:
    `indexName` - the name of the index. It will be created if it doesn't exist.
    `config` - a `Map` of configuration parameters to use with the index if it doesn't exist. Parameters can be anything and are implementation-specific.
  Returns:
    the `Index` corresponding to the `indexName`.

### shutdown

    public void shutdown()

  Description copied from interface: `BatchInserterIndexProvider`
  Shuts down this index provider and ensures that all indexes are fully written to disk. If this method isn't called before shutting down the `BatchInserter` there's no guaranteed that data added to indexes will be persisted.

  Specified by:
    `shutdown` in interface `BatchInserterIndexProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.